<?php
/* Configuration of Panoramas */
if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
if (!defined('IN_ADMIN') or !IN_ADMIN) die('Hacking attempt!');
load_language('plugin.lang', VAG_PATH);

global $conf, $template, $user;
$errors = array();
$infos = array();

	// '' => 1,
	// 'set_private_by_API' => 1,
	// 'grant_to_creator' => 1,
	// 'grant_to_webmaster' => 1,
	// 'set_who_can_see' => 1,
	// 'webmaster_set_who_can_see' => 1,
	// 'ignore_who_can_see_on_private' => 1,
	// 'Dir' => VAG_DIR,
	// 'Path' => VAG_PATH,
	// 'Ver' => VAG_VER,
$vag = & $conf['virtual_AutoGrant'];

$sub = ( isset($_POST['submit']) ) ? true : false;

if ( $sub ) {
  $nsp = array_merge($vag, $_POST);
	if ( $nsp['set_private'] == 1 and $nsp['set_private_by_API'] == 0 ) {
    $nsp['set_private_by_API'] = 1;
    array_push($infos, l10n('New virtual categories from external API will be forced to "private" due to previous choice.'));
  }
  if ( $user['id'] != $conf['webmaster_id'] and $nsp['grant_to_webmaster'] != $vag['grant_to_webmaster']) {
    $nsp['grant_to_webmaster'] = $vag['grant_to_webmaster'];
    array_push($infos, l10n('Grant automatically the default webmaster has been reset to its previous value.'));
  }
	// if ( count($errors) > 0 )
	// array_push($errors, l10n('Your configuration is NOT saved due to above reasons.'));
  if ( !is_webmaster() and count($errors) == 0 )
    array_push($infos, l10n('You are not authorized to change this configuration (Webmaster only).'));
  if ( is_webmaster() and count($errors) == 0 )
  {
    $nsp = array_merge( $vag, array_intersect_key($nsp, $vag) );
    // var_dump($nsp);
    $confvag = serialize($nsp);
    conf_update_param('virtual_AutoGrant', $confvag);
   	array_push($infos, l10n('Your configuration is saved.'));
  }
  $vag = $nsp;
}
$template->set_filenames( array('VAG_admin' => dirname(__FILE__).'/template/VAG_admin.tpl') );
// foreach ($vag as $k => & $v) {
  // if (is_string($v)) $vag[$k] = htmlspecialchars($v, ENT_QUOTES, 'utf-8');
  // else $vag[$k] = $v;
// }
// if (count($errors) != 0) $template->assign('errors', $errors);
if (count($infos) != 0) $template->assign('infos', $infos);
$vag = array_merge( $vag, array(
	'Dir' => VAG_DIR,
	'Path' => embellish_url($template->get_template_vars('ROOT_URL').VAG_PATH),
	'Ver' => VAG_VER,
  ));
$template->assign( 'VAG', $vag );
$template->assign_var_from_handle('ADMIN_CONTENT', 'VAG_admin');
?>